aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-flake8-print
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2015-01-23 20:09:19 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2015-03-11 14:33:16 +0000
commitc25fd347c351c8156ba616ef49484a6c86a21855 (patch)
tree3e6378de0e2875ad35722dd68a28ed45b395797e /testing/py-flake8-print
parentdae7b2dc406af85f3590b97fd7eff15174aea393 (diff)
downloadaports-c25fd347c351c8156ba616ef49484a6c86a21855.tar.bz2
aports-c25fd347c351c8156ba616ef49484a6c86a21855.tar.xz
testing/py-flake8-print: new aport
print statement checker plugin for flake8 https://github.com/jbkahn/flake8-print
Diffstat (limited to 'testing/py-flake8-print')
-rw-r--r--testing/py-flake8-print/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-flake8-print/APKBUILD b/testing/py-flake8-print/APKBUILD
new file mode 100644
index 0000000000..bc0b703ceb
--- /dev/null
+++ b/testing/py-flake8-print/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-flake8-print
+_pkgname=flake8-print
+pkgver=1.5.0
+pkgrel=0
+pkgdesc="Extension for flake8 which lint for print statements"
+url="https://github.com/jbkahn/flake8-print"
+arch="noarch"
+license="MIT"
+depends="python py-flake8"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="5435bc6aeb4397f178ab29d53f552e5c flake8-print-1.5.0.tar.gz"
+sha256sums="c870ffaecdfc6aef3e33ce0a95ebff2f104bf6c3f1704ee62316dd141405b5f6 flake8-print-1.5.0.tar.gz"
+sha512sums="a4990ded06a186f2840a0e11e126a2fc9cbe342e898e2010d541f6123c4663322b526dd009dccbd8cad3e58b306b02a428f8360490e995f9e5efa5d0f805c5ef flake8-print-1.5.0.tar.gz"